<template>
  <div>
    <h1 class="mb-8">Do you have significant hair loss on any other location on your body besides your scalp?</h1>
    <div class="space-y-3 mb-8">
      <radio-input
        v-for="choice in choices"
        :key="choice"
        :input-value="choice"
        v-model="radioSelected"
      >
        {{ choice }}
      </radio-input>
    </div>
    <common-btn
      text="Next"
      :disabled="!radioSelected"
      @click="handleClick"
    />
  </div>
</template>

<script>
import {answersMixin, radioMixin, referMixin} from "@/utils/mixins";

export default {
  mixins: [answersMixin, radioMixin, referMixin],
  name: "YourHealth2",
  data() {
    return {
      choices: [
        'Yes',
        'No',
      ],
      radioHandler: newVal => {
        this.setAnswer(this.answersKeys.YOUR_HEALTH, newVal, 'stage_2')
      }
    }
  },
  methods: {
    handleClick() {
      if (this.radioSelected === 'Yes') {
        this.setRefer('We’ve hit a minor road bump.', 'It looks like the women’s personalized prescription solution isn’t compatible with your needs.\n\nIf you are experiencing significant hair loss in areas other than your head, it may be the sign of alopecia areata, which requires a different treatment approach. Contact your primary care physician to discuss other solutions.\n\nHowever, you may benefit from a different formula:')
      } else {
        this.nextStage()
      }
    }
  }
}
</script>

<style scoped>

</style>
